# Displays

## List all agenda displays

<mark style="color:blue;">`GET`</mark> `https://app.gem-books.com/api/agenda_displays`

This endpoint allows you to get the list of your displays. \
The displays are returned sorted by most recent number.

#### Headers

| Name                                               | Type   | Description                  |
| -------------------------------------------------- | ------ | ---------------------------- |
| Authentification<mark style="color:red;">\*</mark> | string | Bearer Token                 |
| Accept                                             | string | Should be `application/json` |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "data": [
        {
            "id": 3,
            "branch_id": 1,
            "name": "Mécanique",
            "bay_ids": "5,2,3,4,1,74",
            "default": 1
        },
        {
            "id": 2,
            "branch_id": 1,
            "name": "Comptoir",
            "bay_ids": "5",
            "default": 0
        },
        {
            "id": 1,
            "branch_id": 1,
            "name": "Courtoisie",
            "bay_ids": "2",
            "default": 0
        }
    ],
    "meta": {
        "current_page": 1,
        "last_page": 1,
        "per_page": 25,
        "total": 3
    },
    "success": true
}
```

{% endtab %}
{% endtabs %}

## List a specific agenda display

<mark style="color:blue;">`GET`</mark> `https://app.gem-books.com/api/agenda_displays/:id`

This endpoint allows you to get one specific appointment.&#x20;

#### Headers

| Name                                               | Type   | Description                  |
| -------------------------------------------------- | ------ | ---------------------------- |
| Authentification<mark style="color:red;">\*</mark> | string | Bearer Token                 |
| Accept                                             | string | Should be `application/json` |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "data": [
        {
            "id": 3,
            "branch_id": 1,
            "name": "Mécanique",
            "bay_ids": "5,2,3,4,1,74",
            "default": 1
        }
    ],
    "success": true
}
```

{% endtab %}
{% endtabs %}

## Create an agenda display

<mark style="color:green;">`POST`</mark> `https://app.gem-books.com/api/agenda_displays`

#### Headers

| Name             | Type   | Description                  |
| ---------------- | ------ | ---------------------------- |
| Authentification | string | Bearer Token                 |
| Accept           | string | Should be `application/json` |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "data": [
        {
            "id": 3,
            "branch_id": 1,
            "name": "Mécanique",
            "bay_ids": "5,2,3,4,1,74",
            "default": 1
        }
    ],
    "success": true
}
```

{% endtab %}
{% endtabs %}

#### Body Example

```json
{
    "branch_id": 1,
    "name": "Mécanique",
    "bay_ids": "5,2,3,4,1,74",
    "default": 1
}
```

## Update a display

<mark style="color:orange;">`PUT`</mark> `https://app.gem-books.com/api/agenda_displays/:id`

#### Headers

| Name             | Type   | Description                  |
| ---------------- | ------ | ---------------------------- |
| Authentification | string | Bearer Token                 |
| Accept           | string | Should be `application/json` |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "data": [
        {
            "id": 3,
            "branch_id": 1,
            "name": "Mécanique",
            "bay_ids": "5,2,3,4,1,74",
            "default": 1
        }
    ],
    "success": true
}
```

{% endtab %}
{% endtabs %}

#### Body Example

```json
{
    "branch_id": 1,
    "name": "Mécanique",
    "bay_ids": "5,2,3,4,1,74",
    "default": 1
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gem-suite.com/api-reference/resources/agenda/displays.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
